Passer au contenu principal
POST
/
suno
/
lyrics
Suno Lyrics
curl --request POST \
  --url https://api.acedata.cloud/suno/lyrics \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "default",
  "prompt": "A song about winter"
}
'
{
  "data": {
    "text": "[Verse]\nSnow is falling, all around\nChildren playing, having fun\nIt's the season, filled with cheer\nCan you feel the magic near? (ooh-yeah)\n\n[Verse 2]\nLights are twinkling, on the tree\nFireplace crackling, warmth and glee\nLove is shared, with friends and kin\nLet the celebrations begin! (oh-oh-oh)\n\n[Chorus]\nDashing through the snow (hey)\nIn a one-horse open sleigh\nOver fields we go (go)\nLaughing all the way (ha haha)\nBells on bobtail ring (ring)\nMaking spirits bright (bright)\nWhat fun it is to ride and sing\nA sleighing song tonight! (yeah-yeah)",
    "title": "Winter Wonderland",
    "status": "complete"
  },
  "success": true
}

Autorisations

Authorization
string
header
requis

En-têtes

accept
enum<string>

Specifies the format of the response from the server.

Options disponibles:
application/json

Corps

application/json
model
enum<string>
requis

The model used to generate the music lyrics, The default is default.

Options disponibles:
default,
remi-v1
prompt
string
requis

The prompt which used to generate the music audio

Exemple:

"A song about winter"

Réponse

OK, the request is successful.

data
object

The output lyrics generated from the prompt

success
boolean

The flag indicates the request is successful or not